Directory Tenants - Get
按名称获取目录租户。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourcegroups/{resourceGroupName}/providers/Microsoft.Subscriptions.Admin/directoryTenants/{tenant}?api-version=2015-11-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
resource
|
path | True |
string |
资源所在的资源组。 |
|
subscription
|
path | True |
string |
唯一标识 azure 订阅Microsoft的订阅凭据。订阅 ID 构成了每个服务调用的 URI 的一部分。 |
|
tenant
|
path | True |
string |
目录租户名称。 |
|
api-version
|
query | True |
string |
客户端 API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
还行 |
|
| Other Status Codes |
意外错误 |
安全性
azure_auth
Azure Active Directory OAuth2 流
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
Get a directory tenant by name.
示例请求
GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourcegroups/system.local/providers/Microsoft.Subscriptions.Admin/directoryTenants/azurestackci07.onmicrosoft.com?api-version=2015-11-01
示例响应
{
"id": "/subscriptions/8ab2551d-41e5-489b-9273-1cdf1cbc7dc6/resourceGroups/System.local/providers/Microsoft.Subscriptions.Admin/directoryTenants/azurestackci07.onmicrosoft.com",
"name": "azurestackci07.onmicrosoft.com",
"type": "Microsoft.Subscriptions.Admin/directoryTenants",
"location": "local",
"properties": {
"tenantId": "2b3697e6-a7a2-4cdd-a3d4-f4ef6505cd4f"
}
}
定义
| 名称 | 说明 |
|---|---|
|
Directory |
目录租户。 |
| Error |
错误响应。 |
|
Error |
错误定义。 |
DirectoryTenant
目录租户。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源的 URI。 |
| location |
string |
资源的位置 |
| name |
string |
资源的名称。 |
| properties.tenantId |
string |
租户唯一标识符。 |
| tags |
object |
键值对的列表。 |
| type |
string |
资源的类型。 |
Error
错误响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误详细信息。 |
ErrorDefinition
错误定义。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
服务特定的错误代码,用作 HTTP 错误代码的子状态。 |
| details |
内部错误详细信息。 |
|
| message |
string |
错误说明。 |